Host creation API should treat interface attributes consistently

11/21/2013 05:16 PM - Tomáš Strachota

Status: New   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

There are currently 3 ways of sending interface attributes that differ according to a compute resource type

host > interfaces_attributes ...for bare metal

host > compute_attributes > nics_attributes ...for libvirt

host > compute_attributes > interfaces_attributes ...for everything else

This should be consistent.

History

#1 - 11/22/2013 08:56 AM - Dominic Cleal

Don't forget, there's a separate interfaces API in v2 too.

#2 - 04/30/2021 08:06 AM - Leos Stejskal

- Triaged changed from No to Yes
